document.addEventListener('DOMContentLoaded', function() {

  // Polyfill for Intersection Observer API
  (function() {
    if ('IntersectionObserver' in window && 'IntersectionObserverEntry' in window && 'intersectionRatio' in window.IntersectionObserverEntry.prototype) {
      return; // API is supported, no need for polyfill
    }

    // Polyfill code
    const intersectionObserverPolyfill = document.createElement('script');
    intersectionObserverPolyfill.src = 'https://polyfill.io/v3/polyfill.min.js?features=IntersectionObserver';
    document.head.appendChild(intersectionObserverPolyfill);
  })();

  // Create a new Intersection Observer
  const observer = new IntersectionObserver(entries => {
    entries.forEach(entry => {
      if (entry.isIntersecting) {
        // Start the counters when the div enters the viewport
        startCounter('.c23-numbers-number-1', 32);
        startCounter('.c23-numbers-number-2', 22);
        startCounter('.c23-numbers-number-3', 96);
        startCounter('.c23-numbers-number-4', 16722, 0.000000000000000000005);
        observer.unobserve(entry.target); // Stop observing once triggered
      }
    });
  });

  // Select the div with the specified class
  const targetElement = document.querySelector('.c23-work-about-conditional');

  // Start observing the target element
  observer.observe(targetElement);

  // Counter function
  function startCounter(selector, targetNumber, speed = 50) {
    let counter = 0; // Set the initial counter value to 0 for classes .c23-numbers-number-1, .c23-numbers-number-2, and .c23-numbers-number-3
    if (selector === '.c23-numbers-number-4') {
      counter = 14000; // Set the initial counter value to 10,000 for class .c23-numbers-number-4
    }
    const counterElement = document.querySelector(selector);

    const interval = setInterval(() => {
      if (counter <= targetNumber) {
        counterElement.textContent = counter.toFixed(0);
        counter += 1; // Adjust the increment as desired
      } else {
        clearInterval(interval);
      }
    }, speed); // Adjust the interval duration as desired, smaller value makes it count faster
  }


  docReady(function () {
    if (window.location.href.includes('referrer=studio')) {
      document.querySelectorAll('.c23-work-about-conditional').forEach(function(elem) {
        elem.style.display="block";
      });
      document.querySelectorAll('.c23-section-hide-back-button').forEach(function(elem) {
        elem.style.display="block";
      });
    }
  });

});
